Subject: [PATCH v2 1/5] arm/dts: OMAP4: Update DTS file with new GIC bindings

From: [email-masked] (Cousson, Benoit)
Date: Mon, 9 Jan 2012 14:31:44 +0100

On 1/6/2012 10:30 PM, Rob Herring wrote:
> On 01/06/2012 03:15 PM, Grant Likely wrote:
>> On Tue, Dec 20, 2011 at 02:39:54PM +0100, Benoit Cousson wrote:
>>> The GIC binding was updated in 3.2 and expect 3 interrupt-cells.
>>> - Update the #interrupt-cells
>>> - interrupt-parent seems to be needed as well for the top level GIC
>>
>> Hmmm... it shouldn't be.  If it is then it is a bug.
> 
> I think this is an old comment which I fixed in 3.2, so interrupt-parent
> can be removed.

I've just tried, and indeed, it works now.

Please find below the patch updated accordingly.

Thanks,
Benoit

---
>>From f9ebe0ff11e7cbbba0d7499420ff2f358e44a297 Mon Sep 17 00:00:00 2001
From: Benoit Cousson <[email-masked]>
Date: Fri, 25 Nov 2011 12:11:52 +0100
Subject: [PATCH v3 1/5] arm/dts: OMAP4: Update DTS file with new GIC bindings

The GIC binding was updated in 3.2 and expects 3 interrupt-cells.
- Update the #interrupt-cells

Signed-off-by: Benoit Cousson <[email-masked]>
Acked-by: Rob Herring <[email-masked]>
---
 arch/arm/boot/dts/omap4.dtsi |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/arch/arm/boot/dts/omap4.dtsi b/arch/arm/boot/dts/omap4.dtsi
index 4c61c82..4b2bff1 100644
--- a/arch/arm/boot/dts/omap4.dtsi
+++ b/arch/arm/boot/dts/omap4.dtsi
@@ -95,7 +95,7 @@
 		gic: interrupt-controller at 48241000 {
 			compatible = "arm,cortex-a9-gic";
 			interrupt-controller;
-			#interrupt-cells = <1>;
+			#interrupt-cells = <3>;
 			reg = <0x48241000 0x1000>,
 			      <0x48240100 0x0100>;
 		};
-- 
1.7.0.4